<?php 

function prevod_datum($d)
{
	return Date("j.m.Y  (H:i:s)", strtotime($d));
}

function prevod_text($t, $k)
{
	$vzor_odk = '(http://|https://|ftp://|(www\.))([\w\-]*\.[\w\-\.]*([/?]([^\s*\[]|(\*(?!\*))|(\[(?!b|i|s|code|/)))*)?)#e';
	$nahrad_odk = "'<span class=\"odkaz\"><a target=\"_blank\" href=\"'.('\\1'=='www.'?'http://':'\\1').prevod_web('\\2\\3').'\">'.((strlen(htmlspecialchars_decode('\\1\\3'))>58)?(htmlspecialchars(substr(htmlspecialchars_decode('\\1\\3'),0,55)).'...'):'\\1\\3').'</a></span>'";
	if($k == 2) {
		/* podtržení odkazů a zobrazení obrázků (jen v Obrázkové diskuzi) */
		$t = preg_replace('#(?<!Obr:|obr:|://)'.$vzor_odk,$nahrad_odk,$t);
		$t = preg_replace('#(Obr:|obr:)'.$vzor_odk,"'<a target=\"_blank\" href=\"'.('\\2'=='www.'?'http://':'\\2').prevod_web('\\3\\4').'\"><img class=\"obrazek\" src=\"'.('\\2'=='www.'?'http://':'\\2').prevod_web('\\3\\4').'\" alt=\"OBRÁZEK\"></a>'",$t);	
	} 
	else 
	{
		/* podtržení odkazů i obrázků */
		$t = preg_replace('#'.$vzor_odk,$nahrad_odk,$t);
	} 
	
	/* převod smajlů */
	$t = preg_replace('#(\*\*)(\d\d)#e',"'<img src=\"'.'\\2'.'.gif\" class=\"smajl\" alt=\"**'.'\\2'.'\">'",$t);
	
	/* Převede enter na <br> */
	$t = nl2br($t, false);	
	
	/* převod formátování textu */
	$vzory = array(
	    '#(\[b\])([\W\w]+?)(\[/b\])#e',
	    '#(\[i\])([\W\w]+?)(\[/i\])#e',
	    '#(\[s\])([\W\w]+?)(\[/s\])#e',
	    '#(\[code\])([\W\w]+?)(\[/code\])#e'
	);
	$nahrad = array(
	    "'<span class=\"styl_b\">'.stripslashes('\\2').'</span>'",
	    "'<span class=\"styl_i\">'.stripslashes('\\2').'</span>'",
	    "'<span class=\"styl_s\">'.stripslashes('\\2').'</span>'",
	    "'<span class=\"styl_code\">'.str_replace('<br>', '', stripslashes('\\2')).'</span>'"
	);
	$t = preg_replace($vzory,$nahrad,$t);
	
	return $t;
}

function prevod_mail($m)
{
	return preg_replace('#(\[|\]| )#e',"rawurlencode('\\1')",$m);
}

function prevod_web($w)
{
	return preg_replace('#(\[|\]| )#e',"rawurlencode('\\1')",$w);
}

?>

